<?php
get_header();

$azt_blog_class   = ['sarah-blog'];
$azt_blog_layout  = get_theme_mod( 'sarahlite_archive_layout', 'blog-2cols-grid' );
$azt_blog_sidebar = ( is_active_sidebar( 'sidebar' ) && ! get_theme_mod('azt_archive_hide_sidebar') ) ? true : false;

$azt_blog_class[] = $azt_blog_layout;
$azt_blog_class[] = $azt_blog_sidebar ? 'has-sidebar' : 'no-sidebar';


$args = [
    'blog_layout'   => $azt_blog_layout,
    'blog_class'    => implode( ' ', $azt_blog_class ),
    'blog_sidebar'  => $azt_blog_sidebar
];

/**
 * Hook: azt_before_archive.
 *
 * @hooked azt_archive_title - 10
 */
do_action('azt_before_archive');

get_template_part( 'blog', '', $args );

do_action('azt_after_archive');

get_footer();
