<?php
get_header();

/**
 * Hook: azt_before_blog.
 *
 * @hooked azt_featured_posts_slider - 10
 * @hooked azt_promo_boxes - 15
 */
do_action('azt_before_blog');

$azt_blog_class   = ['sarah-blog'];
$azt_blog_layout  = isset( $_GET['blog_layout'] ) ? $_GET['blog_layout'] : get_theme_mod( 'sarahlite_blog_layout', 'blog-2cols-grid' );
$azt_blog_sidebar = ( is_active_sidebar( 'sidebar' ) && ! get_theme_mod('azt_blog_hide_sidebar') ) ? true : false;

$azt_blog_class[] = $azt_blog_layout;
$azt_blog_class[] = $azt_blog_sidebar ? 'has-sidebar' : 'no-sidebar';


$args = [
    'blog_layout'   => $azt_blog_layout,
    'blog_class'    => implode( ' ', $azt_blog_class ),
    'blog_sidebar'  => $azt_blog_sidebar
];

get_template_part( 'blog', '', $args );

do_action('azt_after_blog');

get_footer();
    