<?php
if ( get_theme_mod('sarahlite_promobox_show') ) {
    $att = ['sizes' => '(min-width: 1400px) 416px, (min-width: 1200px) 356px, (min-width: 768px) 316px, (min-width: 576px) 516px, calc( 100vw - 24px )'];
    ?>
    <div class="sarahlite-promo-boxes">
        <div class="row">            
            <div class="col-md-4">
                <div class="probox-item">
                    <?php
                        $image_id = attachment_url_to_postid( esc_url( get_theme_mod( 'sarahlite_promobox_one_image' ) ) );
                        echo wp_get_attachment_image( $image_id, 'large', false, $att );
                    ?>
                    <a href="<?php echo esc_url( get_theme_mod('sarahlite_promobox_one_link') ); ?>">
                        <?php echo esc_html( get_theme_mod('sarahlite_promobox_one_title', 'Title 1') ); ?>
                    </a>
                </div>
            </div>
            <div class="col-md-4">
                <div class="probox-item">
                    <?php
                        $image_id = attachment_url_to_postid( esc_url( get_theme_mod( 'sarahlite_promobox_two_image' ) ) );
                        echo wp_get_attachment_image( $image_id, 'large', false, $att );
                    ?>
                    <a href="<?php echo esc_url( get_theme_mod('sarahlite_promobox_two_link') ); ?>">
                        <?php echo esc_html( get_theme_mod('sarahlite_promobox_two_title', 'Title 2') ); ?>
                    </a>
                </div>
            </div>
            <div class="col-md-4">
                <div class="probox-item">
                    <?php
                        $image_id = attachment_url_to_postid( esc_url( get_theme_mod( 'sarahlite_promobox_three_image' ) ) );
                        echo wp_get_attachment_image( $image_id, 'large', false, $att );
                    ?>
                    <a href="<?php echo esc_url( get_theme_mod('sarahlite_promobox_three_link') ); ?>">
                        <?php echo esc_html( get_theme_mod('sarahlite_promobox_three_title', 'Title 3') ); ?>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <?php
}
