<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
?>
<div class="site-navigation">
    <div class="container">                
        <div class="site-menu">
            <div class="toggle-menu-wrap">
                <span class="menu-bar-text"><?php _e( 'Menu', 'sarahlite' ); ?></span>
                <a href="javaScript:void(0)" class="toggle-menu">
                    <span class="line line-1"></span>
                    <span class="line line-2"></span>
                    <span class="line line-3"></span>
                </a>
            </div>
            <?php
                if ( has_nav_menu( 'primary' ) ) {
                    wp_nav_menu( array (
                        'container'         => false,
                        'theme_location'    => 'primary',
                        'depth'             => 3,
                        'menu_class'        => 'primary-menu',
                        'menu_id'           => 'primary-menu'
                    ) );
                } elseif ( current_user_can( 'manage_options' ) ) { ?>
                    <a class="add-menu" href="<?php echo admin_url( 'nav-menus.php' ); ?>"><?php _e('Add a menu', 'sarahlite'); ?></a><?php
                }
            ?>
        </div>
    </div>
</div>