<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge"/>
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
    <?php wp_body_open(); ?>
    <header class="<?php echo apply_filters( 'azt_site_header_class', 'site-header' ); ?>">
    <?php
        /**
         * Hook: azt_site_header.
         *
         * @hooked azt_site_top_bar - 10
         * @hooked azt_site_branding - 15
         * @hooked azt_site_navigation - 20
         */
        do_action('azt_site_header');
    ?>
    </header>
    <?php
        /**
         * Hook: azt_before_site_main_content.
         *
         * @hooked azt_site_content_wrapper_start - 10
         */
        do_action('azt_before_site_main_content');
