<?php
get_header();
if ( have_posts() ) {
    while( have_posts() ) {
        the_post();
    ?>
    <div class="row">
        <div class="col-md-12">
            <article <?php post_class(); ?>>
                <div class="page-content-wrap">
                    <?php
                        if ( has_post_thumbnail() ) {
                            $att = [ 'sizes' => '(min-width: 1400px) 1296px, (min-width: 1200px) 1116px, (min-width: 992px) 936px, (min-width: 768px) 696px, (min-width: 576px) 516px, calc( 100vw - 24px )' ];
                    ?>
                    <div class="page-thumbnail"><?php the_post_thumbnail( 'full', $att ); ?></div>
                    <?php } ?>
                    <div class="page-content">
                        <h1 class="page-title"><?php the_title(); ?></h1>
                        <?php the_content(); ?>
                        <?php wp_link_pages(); ?>
                    </div>
                    <?php comments_template( '', true );  ?>
                </div>
            </article>
        </div>
    </div>
    <?php
    }
}
?>
</div>
<?php
get_footer();
