<?php
get_header();
?>
<div class="archive-box">
	<h1 class="archive-title">
		<?php esc_html_e( 'Search results for', 'sarahlite' ); ?>:&nbsp;<?php the_search_query(); ?>
	</h1>
</div>
<div class="sarah-blog-inner">
	<div class="search-inner">
		<?php
		if ( have_posts() ) {
			while ( have_posts() ) {
				the_post();
				?>
				<article <?php post_class( 'post' ); ?>>
					<div class="post-wrapper">
					<div class="post-content single-post-content">
						<h2 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						<div class="post-except">
							<?php echo wp_trim_words( get_the_excerpt(), 35, '...' ); ?>
						</div>
					</div>
					</div>
				</article>
				<?php
			}
			sarahlite_pagination();
		} else {
			get_template_part( 'template-parts/post', 'none' );
		}
		?>
	</div>
</div>
<?php
get_footer();
